﻿using PDF_Office.ViewModels.EditTools.Background;
using System.Windows;
using System.Windows.Controls;

namespace PDF_Office.Views.EditTools.Background
{
    /// <summary>
    /// Interaction logic for BackgroundTemplateListFileContent
    /// </summary>
    public partial class BackgroundTemplateListFileContent : UserControl
    {
        private BackgroundTemplateListFileContentViewModel viewModel;

        public BackgroundTemplateListFileContent()
        {
            InitializeComponent();
            viewModel = this.DataContext as BackgroundTemplateListFileContentViewModel;
        }

        private void DeleteTemplateBtn_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            viewModel.DeleteTemplateItemCommand?.Execute(sender);
        }


        private void ListBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            viewModel.SelectTemplateItemCommand?.Execute(sender);
        }

        private void MenuEdit_Click(object sender, RoutedEventArgs e)
        {

        }

        private void MenuDeleteCurrent_Click(object sender, RoutedEventArgs e)
        {
            viewModel.DeleteTemplateItemCommand?.Execute(sender);

        }

        private void MenuDeleteAll_Click(object sender, RoutedEventArgs e)
        {
            viewModel.DeleteAllTemplateItemCommand?.Execute();
        }
    }
}
