﻿using ComPDFKitViewer;
using PDF_Office.ViewModels.EditTools.Background;
using PDF_Office.ViewModels.PageEdit;
using System.Windows.Controls;

namespace PDF_Office.Views.EditTools.Background
{
    /// <summary>
    /// Interaction logic for BackgroundTemplateListColorContent
    /// </summary>
    public partial class BackgroundTemplateListColorContent : UserControl
    {
        private BackgroundTemplateListColorContentViewModel viewModel;

        public BackgroundTemplateListColorContent()
        {
            InitializeComponent();
            viewModel = this.DataContext as BackgroundTemplateListColorContentViewModel;
        }

        private void DeleteTemplateBtn_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            viewModel.DeleteTemplateItemCommand?.Execute(sender);
        }
    }
}
